QFlightInstruments

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Enumerations Enumerator Macros
Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
qfi_PFD Class Reference

`#include <qfi_PFD.h>`

Inheritance diagram for qfi_PFD:

## Public Types
enum | PressureUnit { STD = 0, MB, IN }

## Public Member Functions
| qfi_PFD (QWidget *parent=0)
| ~qfi_PFD ()
void | reinit ()
void | update ()
void | setRoll (float roll)
void | setPitch (float pitch)
void | setFlightPathMarker (float aoa, float sideslip, bool visible=true)
void | setSlipSkid (float slipSkid)
void | setTurnRate (float turnRate)
void | setBarH (float barH, bool visible=true)
void | setBarV (float barV, bool visible=true)
void | setDotH (float dotH, bool visible=true)
void | setDotV (float dotV, bool visible=true)
void | setAltitude (float altitude)
void | setPressure (float pressure, PressureUnit pressureUnit)
void | setAirspeed (float airspeed)
void | setMachNo (float machNo)
void | setHeading (float heading)
void | setClimbRate (float climbRate)

## Protected Member Functions
void | resizeEvent (QResizeEvent *event)

## Detailed Description

Primary Flight Display widget.

## Member Enumeration Documentation

enum qfi_PFD::PressureUnit

Altimeter pressure units.

Enumerator
STD | standard (displays STD instead of numerical value)
MB | milibars
IN | inches of mercury

## Constructor & Destructor Documentation

qfi_PFD::qfi_PFD | ( | QWidget * | parent = `0` | ) |
| explicit

Constructor.

qfi_PFD::~qfi_PFD | ( |  | ) |

Destructor.

## Member Function Documentation

void qfi_PFD::reinit | ( |  | ) |

Reinitiates widget.

void qfi_PFD::resizeEvent | ( | QResizeEvent * | event | ) |
| protected

void qfi_PFD::setAirspeed | ( | float | airspeed | ) |
| inline

Parameters

  airspeed | (dimensionless numeric value)

void qfi_PFD::setAltitude | ( | float | altitude | ) |
| inline

Parameters

  altitude | (dimensionless numeric value)

void qfi_PFD::setBarH | ( | float | barH,
|  | bool | visible = `true`
| ) |  |
| inline

Parameters

  normalized | horizontal deviation bar position (range from -1.0 to 1.0)
  horizontal | deviation bar visibility

void qfi_PFD::setBarV | ( | float | barV,
|  | bool | visible = `true`
| ) |  |
| inline

Parameters

  normalized | vertical deviation bar position (range from -1.0 to 1.0)
  vertical | deviation bar visibility

void qfi_PFD::setClimbRate | ( | float | climbRate | ) |
| inline

Parameters

  climb | rate (dimensionless numeric value)

void qfi_PFD::setDotH | ( | float | dotH,
|  | bool | visible = `true`
| ) |  |
| inline

Parameters

  normalized | horizontal deviation dot position (range from -1.0 to 1.0)
  horizontal | deviation dot visibility

void qfi_PFD::setDotV | ( | float | dotV,
|  | bool | visible = `true`
| ) |  |
| inline

Parameters

  normalized | vertical deviation dot position (range from -1.0 to 1.0)
  vertical | deviation dot visibility

void qfi_PFD::setFlightPathMarker | ( | float | aoa,
|  | float | sideslip,
|  | bool | visible = `true`
| ) |  |
| inline

Parameters

  angle | of attack [deg]
  angle | of sideslip [deg]
  flight | path marker visibility

void qfi_PFD::setHeading | ( | float | heading | ) |
| inline

Parameters

  heading | [deg]

void qfi_PFD::setMachNo | ( | float | machNo | ) |
| inline

Parameters

  Mach | number

void qfi_PFD::setPitch | ( | float | pitch | ) |
| inline

Parameters

  pitch | angle [deg]

void qfi_PFD::setPressure | ( | float | pressure,
|  | PressureUnit | pressureUnit
| ) |  |
| inline

Parameters

  pressure | (dimensionless numeric value)
  pressure | unit according to GraphicsPFD::PressureUnit

void qfi_PFD::setRoll | ( | float | roll | ) |
| inline

Parameters

  roll | angle [deg]

void qfi_PFD::setSlipSkid | ( | float | slipSkid | ) |
| inline

Parameters

  normalized | slip or skid (range from -1.0 to 1.0)

void qfi_PFD::setTurnRate | ( | float | turnRate | ) |
| inline

Parameters

  normalized | turn rate (range from -1.0 to 1.0), hash marks positions are set to be -0.5 and 0.5

void qfi_PFD::update | ( |  | ) |

Refreshes (redraws) widget.

The documentation for this class was generated from the following files:

- qfi_PFD.h
- qfi_PFD.cpp